Issues uploading apk to google store with fastlane : Google Api Error: apkUpgradeVersionConflict: APK specifies a version code that has already been used


#1

fyi: this is my first time trying to upload apk file to google app store with help of expo and fastlane

Here are the steps.

  1. I used exp build:android
  2. exp build:status
    go the apk file and put the location in my fastlane/fastlane file.

so when i tried to upload this file to app store it gave me this error:


#2

Hi!

Try change version code number in your app.json like this:

"android" : {
   "versionCode" : 2
}

Full information about app.json configuration

follow this link: https://docs.expo.io/versions/latest/guides/configuration.html